org.keycloak.representations.docker

## Class DockerResponse

- java.lang.Object
- - org.keycloak.representations.docker.DockerResponse

-     public class DockerResponse
      extends Object

  Creates a response understandable by the docker client in the form: { "token" : "eyJh...nSQ", "expires_in" : 300, "issued_at" : "2016-09-02T10:56:33Z" }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockerResponse()`
    `DockerResponse(String token, Integer expires_in, String issued_at)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Integer` | `getExpires_in()`
    `String` | `getIssued_at()`
    `String` | `getToken()`
    `int` | `hashCode()`
    `DockerResponse` | `setExpires_in(Integer expires_in)`
    `DockerResponse` | `setIssued_at(String issued_at)`
    `DockerResponse` | `setToken(String token)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DockerResponse

          public DockerResponse()

    - #### DockerResponse

          public DockerResponse(String token,
                                Integer expires_in,
                                String issued_at)

  - ### Method Detail

    - #### getToken

          public String getToken()

    - #### setToken

          public DockerResponse setToken(String token)

    - #### getExpires_in

          public Integer getExpires_in()

    - #### setExpires_in

          public DockerResponse setExpires_in(Integer expires_in)

    - #### getIssued_at

          public String getIssued_at()

    - #### setIssued_at

          public DockerResponse setIssued_at(String issued_at)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.